[BETA] Update a signal endpoint.
Enterprise feature
[BETA] This API is in beta state, which means it may change or be removed in the future.
Updates an existing signal endpoint identified by its id.
Authentication
Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format
Path parameters
id
Request
#/components/schemas/createSignalEndpointSchema
name
The signal endpoint name. Must be URL-safe.
enabled
Whether the signal endpoint is currently enabled. If not specified, defaults to true.
description
A more detailed description of the signal endpoint and its intended use.
Response
#/components/schemas/signalEndpointSchema
id
The signal endpoint's ID. Signal endpoint IDs are incrementing integers. In other words, a more recently created signal endpoint will always have a higher ID than an older one.
enabled
Whether the signal endpoint is currently enabled. If not specified, defaults to true.
name
The signal endpoint name. Must be URL-safe.
createdAt
The date and time of when the signal endpoint was created.
createdByUserId
The ID of the user that created this signal endpoint.
description
A more detailed description of the signal endpoint and its intended use.
url
The full URL that should be used to call the signal endpoint. This property is only returned for newly created or updated signal endpoints.
tokens
The list of tokens associated with the signal endpoint.